[cairo-commit] 3 commits - autogen.sh configure.in perf/Makefile.am

Behdad Esfahbod behdad at kemper.freedesktop.org
Wed Oct 25 13:08:03 PDT 2006


 autogen.sh       |   42 ++++++++++++++++++++++++++----------------
 configure.in     |   21 ++++++++++++---------
 perf/Makefile.am |    9 ++++++---
 3 files changed, 44 insertions(+), 28 deletions(-)

New commits:
diff-tree c7b9f84744cd3fe4a6c9dead1e128d91f9cfc3cb (from f85aca4c3ff02a38b83da48b618e420b79b29c37)
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Wed Oct 25 16:07:15 2006 -0400

    Require automake 1.7 again
    
    We are not using the slash-in-SUBDIRS feature of automake 1.9 anymore, so bump
    required version down.

diff --git a/configure.in b/configure.in
index 966a5ca..2d2bf9f 100644
--- a/configure.in
+++ b/configure.in
@@ -15,7 +15,7 @@ AC_CONFIG_HEADERS(config.h)
 
 dnl automake 1.8 requires autoconf 2.58
 dnl automake 1.7 requires autoconf 2.54
-AM_INIT_AUTOMAKE([1.9])
+AM_INIT_AUTOMAKE([1.7])
 
 dnl ===========================================================================
 
diff-tree f85aca4c3ff02a38b83da48b618e420b79b29c37 (from 838ff68cd5d866ca373af95f43afe0219fdd6159)
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Wed Oct 25 16:06:42 2006 -0400

    Make autogen.sh extract required versions from configure.in

diff --git a/autogen.sh b/autogen.sh
index dd5b91a..37db90e 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -2,22 +2,6 @@
 # Run this to generate all the initial makefiles, etc.
 set -e
 
-PACKAGE=cairo
-
-LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
-LIBTOOLIZE_FLAGS="--copy --force"
-AUTOHEADER=${AUTOHEADER-autoheader}
-AUTOMAKE_FLAGS="--add-missing --foreign"
-AUTOCONF=${AUTOCONF-autoconf}
-
-# automake 1.9 requires autoconf ???
-# automake 1.8 requires autoconf 2.58
-# automake 1.7 requires autoconf 2.54
-automake_min_vers=1.9
-aclocal_min_vers=$automake_min_vers
-autoconf_min_vers=2.54
-libtoolize_min_vers=1.4
-
 # The awk-based string->number conversion we use needs a C locale to work 
 # as expected. Setting LC_ALL overrides whether the user set LC_ALL,
 # LC_NUMERIC, or LANG.
@@ -34,6 +18,32 @@ ORIGDIR=`pwd`
 
 cd $srcdir
 
+PACKAGE=cairo
+
+LIBTOOLIZE=${LIBTOOLIZE-libtoolize}
+LIBTOOLIZE_FLAGS="--copy --force"
+AUTOHEADER=${AUTOHEADER-autoheader}
+AUTOMAKE_FLAGS="--add-missing --foreign"
+AUTOCONF=${AUTOCONF-autoconf}
+
+CONFIGURE_IN=
+test -f configure.in && CONFIGURE_IN=configure.in
+test -f configure.ac && CONFIGURE_IN=configure.ac
+
+if test "X$CONFIGURE_IN" = X; then
+  echo "$ARGV0: ERROR: No $srcdir/configure.in or $srcdir/configure.ac found."
+  exit 1
+fi
+
+extract_version() {
+	grep "^ *$1" $CONFIGURE_IN | sed 's/.*(\[\?\([^])]\+\)]\?).*/\1/'
+}
+
+autoconf_min_vers=`extract_version AC_PREREQ`
+automake_min_vers=`extract_version AM_INIT_AUTOMAKE`
+libtoolize_min_vers=`extract_version AC_PROG_LIBTOOL`
+aclocal_min_vers=$automake_min_vers
+
 if ($AUTOCONF --version) < /dev/null > /dev/null 2>&1 ; then
     if ($AUTOCONF --version | head -n 1 | awk 'NR==1 { if( $(NF) >= '$autoconf_min_vers') \
 			       exit 1; exit 0; }');
diff --git a/configure.in b/configure.in
index 90530f8..966a5ca 100644
--- a/configure.in
+++ b/configure.in
@@ -1,8 +1,8 @@
 AC_PREREQ(2.54)
 
-# cairo package version number, (as distinct from shared library version)
-# An odd micro number indicates in-progress development, (eg. from git/cvs)
-# An even micro number indicates a released version.
+dnl cairo package version number, (as distinct from shared library version)
+dnl An odd micro number indicates in-progress development, (eg. from git/cvs)
+dnl An even micro number indicates a released version.
 m4_define(cairo_version_major, 1)
 m4_define(cairo_version_minor, 2)
 m4_define(cairo_version_micro, 5)
@@ -12,6 +12,9 @@ AC_INIT([cairo],
       [http://bugs.freedesktop.org/enter_bug.cgi?product=cairo])
 AC_CONFIG_SRCDIR(src/cairo.h)
 AC_CONFIG_HEADERS(config.h)
+
+dnl automake 1.8 requires autoconf 2.58
+dnl automake 1.7 requires autoconf 2.54
 AM_INIT_AUTOMAKE([1.9])
 
 dnl ===========================================================================
@@ -49,7 +52,7 @@ AM_MAINTAINER_MODE
 
 AC_PROG_CC
 AC_PROG_CPP
-AM_PROG_LIBTOOL
+AC_PROG_LIBTOOL dnl required version (1.4) DON'T REMOVE!
 AC_STDC_HEADERS
 AC_C_BIGENDIAN
 
@@ -57,10 +60,10 @@ dnl ====================================
 dnl === Local macros
 dnl ===========================================================================
 
-# _CHECK_FUNCS_WITH_FLAGS(FUNCTION..., CFLAGS, LIBS 
-#                         [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
-# Like AC_CHECK_FUNCS but with additional CFLAGS and LIBS
-# --------------------------------------------------------------------
+dnl _CHECK_FUNCS_WITH_FLAGS(FUNCTION..., CFLAGS, LIBS
+dnl                         [, ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND]])
+dnl Like AC_CHECK_FUNCS but with additional CFLAGS and LIBS
+dnl --------------------------------------------------------------------
 AC_DEFUN([_CHECK_FUNCS_WITH_FLAGS],
 [ 
   save_cflags="$CFLAGS"
diff-tree 838ff68cd5d866ca373af95f43afe0219fdd6159 (from 02096f66f365c109ddf41432b9a818726d45cbae)
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Wed Oct 25 15:44:03 2006 -0400

    [perf] Remove SUBDIRS=../boilerplate and add explicit dependencies
    
    This is quite like what I just did in test/.  We can now require an older
    version of automake as we used to.

diff --git a/perf/Makefile.am b/perf/Makefile.am
index 54d3557..15917f9 100644
--- a/perf/Makefile.am
+++ b/perf/Makefile.am
@@ -1,6 +1,3 @@
-SUBDIRS=../boilerplate
-DIST_SUBDIRS =
-
 # We're using _GNU_SOURCE to get the prototype for asprintf. This may
 # not be the most portable approach, but it is pragmatic and I'm
 # willing to do something cleaner as soon as it causes someone a
@@ -37,5 +34,11 @@ cairo_perf_diff_SOURCES =	\
 LDADD = $(top_builddir)/boilerplate/libcairoboilerplate.la \
 	$(top_builddir)/src/libcairo.la
 
+$(top_builddir)/boilerplate/libcairoboilerplate.la:
+	cd $(top_builddir)/boilerplate && $(MAKE) $(AM_MAKEFLAGS) libcairoboilerplate.la
+
+$(top_builddir)/src/libcairo.la:
+	cd $(top_builddir)/src && $(MAKE) $(AM_MAKEFLAGS) libcairo.la
+
 perf: cairo-perf
 	./cairo-perf


More information about the cairo-commit mailing list